Error "you must have a tty to run sudo"

Este error me lo he encontrado jugueteando en una Centos 5.1 con big brother, pero lo puede dar para cualquier otro tipo de aplicación que requiera hacer un sudo.

Tue Feb 5 14:21:55 2008 mq-qmail.sh sudo: sorry, you must have a tty to run sudo

Lo que el mensaje nos viene a decir es que necesitamos una consola/terminal para lanzar el sudo, si no, no nos deja.
Googleando un poquito he visto que lo que tenemos que hacer es acceder al fichero /etc/sudoers y comentar/eliminar la línea “Defaults requiretty”

Con esto ya no veremos más el error.

Technorati Tags:

This entry was posted in linux. Bookmark the permalink.

5 Responses to Error "you must have a tty to run sudo"

  1. Roberto says:

    Hola, muchas gracias por este post. nada como poner directamente el error, así se encuentran más rápido las soluciones.

    Gracias.

  2. Adrian Perez says:

    Me alegro que a parte de a mi, a alguien más le haya servido de ayuda.

    Un saludo y gracias por el comentario Roberto.

  3. Javier says:

    Gracias por el aporte me ha ayudado mucho, un gran saludo

  4. olivier says:

    thanks for the tips !
    Muchas gracias

  5. Adrian Perez says:

    Me llena de orgullo y satisfacción 🙂

Leave a Reply

Your email address will not be published. Required fields are marked *